Skip to main content
PATCH
/
v1alpha1
/
public
/
knowledge-base
/
document
/
{documentID}
/
chunk
/
{chunkID}
Update chunk metadata by chunk ID
curl --request PATCH \
  --url https://realtime-api.voiceflow.com/v1alpha1/public/knowledge-base/document/{documentID}/chunk/{chunkID} \
  --header 'Content-Type: knowledgeBase' \
  --header 'authorization: <api-key>' \
  --data '
{
  "data": {
    "metadata": {}
  }
}
'
{
  "data": {
    "documentID": "<string>",
    "data": {
      "type": "url",
      "name": "<string>",
      "url": "<string>",
      "refreshRate": "daily",
      "lastSuccessUpdate": "<string>",
      "accessTokenID": 123,
      "integrationExternalID": "<string>",
      "source": "zendesk"
    },
    "updatedAt": "2023-11-07T05:31:56Z",
    "status": {
      "type": "ERROR",
      "data": "<unknown>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

authorization
string
header
required

Voiceflow API key

Path Parameters

documentID
string
required

ID of the document to target.

chunkID
string
required

ID of the document chunk to target.

Body

knowledgeBase
data
object
required

Response

200 - application/json

The target document chunk was updated successfully.

data
object
required